petsc-3.12.4 2020-02-04
Report Typos and Errors

# AO

Abstract PETSc object that manages mapping between different global numbering

### Synopsis

    typedef struct _p_AO* AO;

### See Also

AOCreateBasic(), AOCreateBasicIS(), AOPetscToApplication(), AOView(), AOApplicationToPetsc()

### Level

intermediate

### Location

src/vec/is/ao/../../../../include/petscao.h

### Implementations

_p_AO in src/vec/is/ao/aoimpl.h
Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages